Loading...
Searching...
No Matches
juce::midi_ci::SubscriptionManagerDelegate Struct Referenceabstract

## Detailed Description

Functions used by a SubscriptionManager to negotiate subscriptions.

The documentation for this struct was generated from the following file:

- juce_midi_ci/ci/juce_CISubscriptionManager.h

## Public Member Functions

virtual | ~SubscriptionManagerDelegate ()=default
virtual std::optional< RequestKey > | sendPropertySubscribe (MUID m, const PropertySubscriptionHeader &header, std::function< void(const PropertyExchangeResult &)> onResult)=0
| Called when the manager wants to send an update.
virtual void | abortPropertyRequest (RequestKey)=0
| Called by the manager to cancel a previous request.
virtual void | propertySubscriptionChanged (SubscriptionKey, const std::optional< String > &)=0
| Called by the manager when the remote device provides a subscribeId, or when it terminates a subscription.

## Constructors and Destructors

## ~SubscriptionManagerDelegate()

virtual juce::midi_ci::SubscriptionManagerDelegate::~SubscriptionManagerDelegate | ( |  | ) |

virtual default

## Member Functions

## sendPropertySubscribe()

virtual std::optional< RequestKey > juce::midi_ci::SubscriptionManagerDelegate::sendPropertySubscribe | ( | MUID | m,
|  | const PropertySubscriptionHeader & | header,
|  | std::function< void(const PropertyExchangeResult &)> | onResult )

pure virtual

Called when the manager wants to send an update.

## abortPropertyRequest()

virtual void juce::midi_ci::SubscriptionManagerDelegate::abortPropertyRequest | ( | RequestKey |  | ) |

pure virtual

Called by the manager to cancel a previous request.

## propertySubscriptionChanged()

virtual void juce::midi_ci::SubscriptionManagerDelegate::propertySubscriptionChanged | ( | SubscriptionKey | ,
|  | const std::optional< String > & | )

pure virtual

Called by the manager when the remote device provides a subscribeId, or when it terminates a subscription.

### Purchase

Get JUCE

### Discover

What's New in JUCE Features

### Learn

Documentaion Tutorials Made with JUCE Resources

### Support

JUCE Forum Newsletter Archive

### About

Contact Us JUCE Legal JUCE Licensing FAQ

### Events

Audio Developer Conference
© Raw Material Software Limited